/* OSCAR Mega AI */

#oscar-chat-toggle{
position:fixed;
right:20px;
bottom:20px;
width:65px;
height:65px;
border:none;
border-radius:50%;
background:#FFD700;
cursor:pointer;
font-size:26px;
z-index:9999;
box-shadow:0 10px 25px rgba(0,0,0,.25);
}

#oscar-chat{
position:fixed;
right:20px;
bottom:100px;
width:360px;
height:550px;
background:#fff;
border-radius:18px;
overflow:hidden;
display:none;
flex-direction:column;
z-index:9999;
box-shadow:0 10px 35px rgba(0,0,0,.25);
font-family:Arial,sans-serif;
}

.oscar-header{
background:#111;
color:#fff;
padding:16px;
font-size:18px;
font-weight:bold;
}

.oscar-body{
flex:1;
padding:14px;
overflow-y:auto;
background:#f7f7f7;
}

.msg{
padding:10px 14px;
margin-bottom:10px;
border-radius:12px;
max-width:85%;
color:#111;
word-wrap:break-word;
white-space:normal;
}
.bot{
background:#ffffff;
color:#111;
border:1px solid #eee;
}
.user{
background:#ffe35c;
margin-left:auto;
}

.oscar-input{
display:flex;
border-top:1px solid #ddd;
}

.oscar-input input{
flex:1;
padding:14px;
border:none;
outline:none;
}

.oscar-input button{
width:90px;
border:none;
background:#FFD700;
cursor:pointer;
font-weight:bold;
}

.quick{
display:flex;
gap:8px;
flex-wrap:wrap;
margin-top:10px;
}

.quick button{
border:none;
padding:8px 12px;
border-radius:20px;
cursor:pointer;
background:#eee;
}

@media(max-width:480px){

#oscar-chat{
right:10px;
left:10px;
width:auto;
height:70vh;
}

}